<div class="modal-header">
  <h4 class="modal-title">{{para.name}}</h4>
  <button type="button" class="close" aria-label="Close" (click)="close()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <div class="w-100 text-center">
    <img style="width: 80px;" src="{{para.picture}}">
  </div>

  <div class="content">
    <dl>
      <dt>ชื่อ - นามสกุล </dt>
      <dd>{{para.name}}</dd>
      <dt>อีเมล์ </dt>
      <dd>{{para.email}}</dd>
      <dt>เบอร์โทรศัพท์ </dt>
      <dd>{{para.phone}}</dd>
      <dt>สถานะ </dt>
      <dd>
        <span *ngIf="para.status == 1">ปกติ</span>
      </dd>
    </dl>
    <div class="row">
      <div class="col">
        <h4>บัตรประชาชน</h4>
        <span *ngFor="let item of verify.type1; let i = index">
          <a href="{{item.picture}}" target="_blank" [ngClass]="item.style">{{i+1}}.บัตรประชาชน({{i+1}})</a>
          <button [disabled]="item.status!='0'" style="margin-left: 5px;" class="btn btn-raised mr-1 btn-primary btn-sm" (click)="pass(item.mv_id)"><i
              class="fa fa-check"></i></button>
          <button [disabled]="item.status!='0'" (click)="eject(item.mv_id)" class="btn btn-raised mr-1 btn-sm btn-danger"><i
              class="fa fa-remove"></i></button><br>
        </span>
      </div>
      <div class="col">
        <h4>หนังสือแต่งตั้ง</h4>
        <span *ngFor="let item of verify.type2; let i = index">
          <a href="{{item.picture}}" target="_blank" [ngClass]="item.style">{{i+1}}.หนังสือแต่งตั้ง({{i+1}})</a>
          <button [disabled]="item.status!='0'" style="margin-left: 5px;" class="btn btn-raised mr-1 btn-primary btn-sm" (click)="pass(item.mv_id)"><i
              class="fa fa-check"></i></button>
          <button [disabled]="item.status!='0'" (click)="eject(item.mv_id)" class="btn btn-raised mr-1 btn-sm btn-danger"><i
              class="fa fa-remove"></i></button><br>
        </span>
      </div>
      <div class="col">
        <h4>หนังสือรับรอง</h4>
        <span *ngFor="let item of verify.type3; let i = index">
          <a href="{{item.picture}}" target="_blank" [ngClass]="item.style" >{{i+1}}.หนังสือรับรอง({{i+1}})</a>
          <button [disabled]="item.status!='0'" style="margin-left: 5px;" class="btn btn-raised mr-1 btn-primary btn-sm" (click)="pass(item.mv_id)"><i
              class="fa fa-check"></i></button>
          <button [disabled]="item.status!='0'" (click)="eject(item.mv_id)" class="btn btn-raised mr-1 btn-sm btn-danger"><i
              class="fa fa-remove"></i></button><br>
        </span>
      </div>
    </div>
    <!-- <table style="width: 100%; border:dashed">
      <thead>
        <th>บัตรประชาชน</th>
        <th>หนังสือแต่งตั้ง</th>
        <th>หนังสือรับรอง</th>
      </thead>
      <tbody>
        <tr>
          <td>
            <span *ngFor="let item of verify.type1; let i = index">{{i+1}}. <a href="{{item.picture}}"
                target="_blank">บัตรประชาชน({{i+1}})</a> <br></span>
            <div style="padding-left: 5px;">
              <button href="javascript:void(0)" class="btn btn-raised mr-1 btn-primary btn-sm"
                (click)="view_profile(t)"><i class="fa fa-eye"></i> ผ่าน</button>
              <a href="javascript:void(0)" (click)="open(t)" class="btn btn-raised mr-1 btn-sm btn-warning"><i
                  class="fa fa-edit"></i> ไม่ผ่าน</a>
            </div>
          </td>
          <td>
            <span *ngFor="let item of verify.type2; let i = index">{{i+1}}. <a href="{{item.picture}}"
                target="_blank">หนังสือแต่งตั้ง({{i+1}})</a><br></span>
          </td>
          <td>
            <span *ngFor="let item of verify.type3; let i = index">{{i+1}}. <a href="{{item.picture}}"
                target="_blank">หนังสือรับรอง({{i+1}})</a><br></span>
          </td>
        </tr>
      </tbody>
    </table> -->
  </div>
</div>
<div class="modal-footer">
  <button type="button" [disabled]="verify.pass == '-1' || para.approve == '1'" class="btn btn-raised mr-1 btn-primary" (click)="approve(para.member_id)">อนุมัติ</button>
  <button type="button" class="btn btn-secondary btn-raised" (click)="close()">ปิดออก</button>
</div>